
##-----------------------------------------------------------------------------
## All %%global definitions should be placed here and keep them sorted
##
%if ( 0%{?fedora} ) || ( 0%{?rhel} && 0%{?rhel} > 6 )
%global _with_systemd true
%endif


##-----------------------------------------------------------------------------
## All package definitions should be placed here
##
Summary:          Gluster block storage utility
Name:             gluster-block
Version:          0.2.1
Release:          36.2%{?dist}
License:          GPLv2 or LGPLv3+
URL:              https://github.com/gluster/gluster-block
Source0:          gluster-block-0.2.1.tar.gz

Patch0001:        0001-Terminate-gracefully-when-svc_register-fails.patch
Patch0002:        0002-runner-check-for-WIFEXITED-before-WEXITSTATUS.patch
Patch0003:        0003-runner-check-for-all-non-zero-exit-status-values.patch
Patch0004:        0004-logger-fix-null-prints-while-trying-to-log-volname.patch
Patch0005:        0005-block-add-support-to-prealloc-full-no-option.patch
Patch0006:        0006-cli-fix-missing-newline-characters.patch
Patch0007:        0007-Don-t-let-LOG-segfault-if-log-dir-does-not-exist-fal.patch
Patch0008:        0008-gluster-block-update-systemd-unit-and-spec-file.patch
Patch0009:        0009-Show-error-message-when-response-contains-failure.patch
Patch0010:        0010-tcmu-backstore-attribute-set-cmd_time_out-0.patch
Patch0011:        0011-create-move-saveconfig-out-of-the-loop.patch
Patch0012:        0012-gluster-block-do-not-allow-delete-if-any-node-is-dow.patch
Patch0013:        0013-gluster-block-support-force-delete-option.patch
Patch0014:        0014-logger-support-logdir-choosing-via-Environment-varia.patch
Patch0015:        0015-systemd-fix-systemd-dependency-list.patch
Patch0016:        0016-rpc-use-port-24010-for-all-gluster-blockd-management.patch
Patch0017:        0017-gluster-block-use-targetcli-interactive-mode.patch
Patch0018:        0018-gluster-block-parse-remote-command-outputs.patch
Patch0019:        0019-misc-fix-warnings.patch
Patch0020:        0020-fix-GB_TGCLI_GLOBALS-macro.patch
Patch0021:        0021-rpc-switch-to-MT-safe-block-RPC-routines.patch
Patch0022:        0022-socket-switch-to-MT-safe-get-host-addr-info.patch
Patch0023:        0023-daemon-set-configshell-file-loglevel-to-info.patch
Patch0024:        0024-create-clean-metafile-along-with-storage-when-EntryC.patch
Patch0025:        0025-cli-show-prealloc-option-in-the-hint-msg.patch
Patch0026:        0026-delete-rollback-check-for-matching-gbid-before-delet.patch
Patch0027:        0027-cli-defend-on-minimum-block-size.patch
Patch0028:        0028-cli-Be-more-strict-about-what-size-units-we-expect.patch
Patch0029:        0029-cli-make-unit-prefixes-case-insensitive.patch
Patch0030:        0030-versioning-add-capabilities-support.patch
Patch0031:        0031-replace-add-replace-feature.patch
Patch0032:        0032-replace-strcat-and-strcpy-with-their-secure-versions.patch
Patch0033:        0033-create-support-storage-filename-option.patch
Patch0034:        0034-delete-support-unlink-storage-yes-no-option.patch
Patch0035:        0035-create-split-ROLLBACK-ON-to-SUCCESS-and-FAILURE.patch
Patch0036:        0036-info-show-size-in-human-readable-format.patch
Patch0037:        0037-info-show-failed-nodes.patch
Patch0038:        0038-fix-spec-file.patch
Patch0039:        0039-gluster-block-add-resize-support.patch
Patch0040:        0040-cleanup-json-object-releasing.patch
Patch0041:        0041-create-create-glfstpg-and-set-the-alua-type-to-None.patch
Patch0042:        0042-create-add-TCMU-Ring-Buffer-size-settable.patch
Patch0043:        0043-fix-compiler-warnings.patch
Patch0044:        0044-doc-man-page-update.patch
Patch0045:        0045-modify-fix-auth-command-args-parsing.patch
Patch0046:        0046-saveconfig-only-alter-given-block-configuration.patch
Patch0047:        0047-gluster-block-load-balance-support.patch
Patch0048:        0048-genconfig-add-support.patch
Patch0049:        0049-genconfig-add-alua-tpg-options.patch
Patch0050:        0050-genconfig-add-ring-buffer-option.patch
Patch0051:        0051-modify-return-fail-if-block-is-not-loaded.patch
Patch0052:        0052-delete-defend-on-block-not-loaded-and-CLEANUPFAIL-st.patch
Patch0053:        0053-delete-add-a-way-to-saveconfig-with-delete-operation.patch
Patch0054:        0054-gluster-block-fix-gcc-and-rpmbuild-warnings.patch
Patch0055:        0055-gluster-block-fill-errMsg-and-delete-metafile-if-Ent.patch
Patch0056:        0056-gluster-block-align-the-target-device-size-to-sector.patch
Patch0057:        0057-gluster-block-set-the-cmd_time_out-to-130.patch
Patch0058:        0058-gluster-block-set-the-cmd_time_out-to-130-for-gencon.patch
Patch0059:        0059-delete-fix-glusterBlockDeleteRemoteAsync-ret-value.patch
Patch0060:        0060-delete-introduce-remote-exit-value-GB_BLOCK_NOT_FOUN.patch
Patch0061:        0061-logs-change-remote-version-check-call-error-log-leve.patch
Patch0062:        0062-gluster-block-fix-various-cli-operations-exitcode.patch
Patch0063:        0063-capabilities-read-capabilities-is-one-time-job.patch
Patch0064:        0064-rpc-avoid-socket-double-free.patch
Patch0065:        0065-delete-deprecate-glusterBlockConnectAsync-use.patch
Patch0066:        0066-Script-to-wait-for-bricks-to-come-online.patch
Patch0067:        0067-gluster-block-install-wait-for-bricks.sh.patch
Patch0068:        0068-wait-for-bricks-Use-ps-instead-of-pidof-improve-perf.patch
Patch0069:        0069-meta-reserve-10M-space-for-meta-data-store.patch
Patch0070:        0070-resize-fix-errCode-overriding.patch
Patch0071:        0071-Help-man-page-update.patch
Patch0072:        0072-logging-add-config-dynamic-reloading-support.patch
Patch0073:        0073-lru-glfslruCount-add-config-dynamic-reloading-suppor.patch
Patch0074:        0074-Auditlog-Feature.patch
Patch0075:        0075-daemon-defend-on-minimum-recommended-kernel-version.patch
Patch0076:        0076-genconfig-with-old-blocks-use-first-valid-ipaddr-fro.patch
Patch0077:        0077-genconfig-add-helper-info.patch
Patch0078:        0078-doc-man-page-update.patch
Patch0079:        0079-README-update-the-doc-for-helper.patch
Patch0080:        0080-replace-node-update-PRIOPATH-at-metadata-when-it-mat.patch
Patch0081:        0081-daemon-add-no-remote-rpc-option.patch
Patch0082:        0082-doc-update-documentation-about-no-remote-rpc-option.patch
Patch0083:        0083-extras-add-a-script-for-upgrade-time-activities.patch
Patch0084:        0084-upgrade-script-Makefile-and-rpm-spec-file-changes.patch
Patch0085:        0085-upgrade-script-clean-status-file-on-source-and-rpm-u.patch
Patch0086:        0086-scripts-use-TCMU_LOGDIR-instead-of-GB_LOGDIR.patch
Patch0087:        0087-systemd-clear-the-target-config-only-when-tcmu-runne.patch
Patch0088:        0088-all-fix-build-warnings.patch
Patch0089:        0089-Fix-memleak-for-errMsg.patch
Patch0090:        0090-gluster-block-dump-all-failure-msgs-to-stderr.patch
Patch0091:        0091-dyn-config-fix-memleak-for-GB_LOG_LEVEL.patch
Patch0092:        0092-dyn-config-read-the-config-file-line-by-line-instead.patch
Patch0093:        0093-gbMinKernelVersionCheck-rename-variable-name-out-wit.patch
Patch0094:        0094-daemon-change-minimum-rhel-kernel-version-to-3.10.0-.patch
Patch0095:        0095-list-ignore-all-the-invalid-files.patch
Patch0096:        0096-genconfig-add-load-balance-support.patch
Patch0097:        0097-cli-push-output-to-stderr-if-remote-rpc-return-non-z.patch
Patch0098:        0098-loadConfig-retry-opening-conf-file-if-the-initial-at.patch
Patch0099:        0099-Minor-fixes.patch
Patch0100:        0100-cli-timeout-make-rpc-timeout-as-configurable-option.patch
Patch0101:        0101-cli-support-env-variable-way-of-controlling-GB_CLI_T.patch
Patch0102:        0102-cli-add-timeout-option.patch
Patch0103:        0103-logger-fix-the-log-messages-with-adding-extra-whitsp.patch
Patch0104:        0104-logger-add-CRIT-loglevel-support.patch
Patch0105:        0105-inotify-watch-the-directory-not-just-file.patch
Patch0106:        0106-logs-remove-n-in-LOG-usage.patch
Patch0107:        0107-cli-fix-dereference-of-undefined-pointer-value.patch
Patch0108:        0108-gluster-block-dump-config-key-value-changes-to-respe.patch
Patch0109:        0109-dyn-config-log-event-mask-when-loglevel-is-DEBUG-or-.patch
Patch0110:        0110-cli-add-log-msg-for-cli-timeout-in-DEBUG-or-higher-l.patch
Patch0111:        0111-LoadConfig-don-t-call-glusterBlockSetLruCount-in-cli.patch
Patch0112:        0112-build-do-not-require-git-to-find-the-version.patch
Patch0113:        0113-version-add-the-gfapi-version-check.patch
Patch0114:        0114-gluster-block-Fix-build-error-due-to-couldn-t-find-t.patch
Patch0115:        0115-Fix-various-build-time-warnings.patch
Patch0116:        0116-daemon-remove-the-tcmu-runner-active-check-in-system.patch
Patch0117:        0117-extras-fix-printLog-format.patch
Patch0118:        0118-logs-improving-some-more-logs.patch
Patch0119:        0119-misc-makesure-to-kill-gluster-blockd-on-exit.patch
Patch0120:        0120-upgrade_activities-always-wait-till-the-background-d.patch
Patch0121:        0121-logdir-default-to-var-log-glusterfs-gluster-block.patch
Patch0122:        0122-genconfig-switch-to-string-instead-of-fixed-255-for-.patch
Patch0123:        0123-replace-fix-authentication-on-the-new-node.patch
Patch0124:        0124-gluster-block-add-logrotate-support.patch
Patch0125:        0125-logrotate-remove-postrotate-action.patch
Patch0126:        0126-delete-use-gbid-instead-of-block_name-to-do-the-save.patch
Patch0127:        0127-validation-we-need-to-know-the-raw-error-from-target.patch
Patch0128:        0128-MACROs-switch-all-the-local-vars-to-_-_.patch
Patch0129:        0129-create-check-the-StorageObject-s-existence-before-cr.patch
Patch0130:        0130-utils-fix-compile-warning.patch
Patch0131:        0131-set-default-tcmu-io-timeout-as-43sec-by-default.patch
Patch0132:        0132-enable-io-timeout-based-on-packages-version.patch
Patch0133:        0133-genconfig-set-tcmu-io-timeout-to-43sec-for-all-the-b.patch
Patch0134:        0134-logging-improve-log-details.patch
Patch0135:        0135-logging-improve-logs-when-running-in-debug-mode.patch
Patch0136:        0136-configDir-Fix-perms-on-config-directory.patch

BuildRequires:    glusterfs-api-devel >= 6.0-30.1
BuildRequires:    pkgconfig(json-c)
BuildRequires:    help2man >= 1.36
%{?systemd_requires}
BuildRequires:    systemd
BuildRequires:    gcc make libtool autoconf automake
BuildRequires:    libuuid-devel

Requires:         glusterfs-api >= 6.0-30.1
Requires:         tcmu-runner >= 1.2.0-32.2
Requires:         targetcli >= 2.1.fb46-6
Requires:         python-rtslib >= 2.1.fb63-12
Requires:         python-configshell >= 1.1.fb23-4
Requires:         logrotate

%description
gluster-block is a CLI utility, which aims at making gluster backed block
storage creation and maintenance as simple as possible.

%prep
%autosetup -p1

%build
echo %{version} > VERSION
./autogen.sh
%configure
%make_build

%install
%make_install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
mkdir -p %{_sysconfdir}/target/backup
chmod -R 600 %{_sysconfdir}/target
systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -gt 1 ] ; then
    # Package upgrade, not install, restart only if daemon is running
    systemctl try-restart gluster-blockd.service >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    systemctl --no-reload disable gluster-blockd.service > /dev/null 2>&1 || :
    systemctl stop gluster-blockd.service > /dev/null 2>&1 || :
fi
if [ -e %{_sharedstatedir}/gluster-block/gb_upgrade.status ]; then
    %{__rm} %{_sharedstatedir}/gluster-block/gb_upgrade.status
fi

%postun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    systemctl daemon-reload >/dev/null 2>&1 || :
fi

%files
%doc README.md
%license COPYING-GPLV2 COPYING-LGPLV3
%{_sbindir}/gluster-block
%{_sbindir}/gluster-blockd
%{_mandir}/man8/gluster-block*.8*
%dir %attr(0640,-,-) %{_localstatedir}/log/glusterfs/gluster-block
%if ( 0%{?_with_systemd:1} )
%{_unitdir}/gluster-blockd.service
%{_unitdir}/gluster-block-target.service
%config(noreplace) %{_sysconfdir}/sysconfig/gluster-blockd
%config(noreplace) %{_sysconfdir}/logrotate.d/gluster-block
%endif
%dir %attr(0755,-,-) %{_libexecdir}/gluster-block
     %attr(0755,-,-) %{_libexecdir}/gluster-block/wait-for-bricks.sh
     %attr(0755,-,-) %{_libexecdir}/gluster-block/upgrade_activities.sh
%dir %attr(0755,-,-) %{_sharedstatedir}/gluster-block
     %attr(0644,-,-) %{_sharedstatedir}/gluster-block/gluster-block-caps.info

%changelog
* Tue Jun 30 2020 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-36.2
- Respin the build for RHEL-7.9 buildroot

* Thu Jun 25 2020 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-36.1
- Add logrotate support (bz#1850365)
- Set tcmu timed-out logs support (bz#1850361)
- Fix CVE-2020-10762 (bz#1845071)
- Workaround fix for CVE-2020-13867 (bz#1850077)

* Thu Feb 20 2020 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-36
- Add minimum requires as glusterfs-api-6.0-30.1 (bz#1804656)

* Fri Jan 31 2020 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-35
- Fix genconfig cli rpc buffer allocation (bz#1790560)

* Thu Jul 11 2019 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-34
- Fix upgrade script to wait until gluster-blockd termination (bz#1728645)

* Mon Jun 24 2019 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-33
- Remove code level is-active check for tcmu-runner when using systemd (bz#1699209)

* Fri Apr 05 2019 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-32
- Add rpc timeout option to cli (bz#1665543)
- Fix missing notification msg when log-level is changed to ERROR and WARNING (bz#1661406)

* Wed Feb 20 2019 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-31
- Fix genconfig failures parsing failed create block volumes metadata files (bz#1676591)
- Fix post/preun/postun in the spec file (bz#1676633)

* Mon Dec 10 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-30
- Push output to stderr if remote rpc return non-zero (bz#1632663)

* Fri Nov 09 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-29
- Fix minor rpm-build warnings (bz#1641570)
- Adopt 3.10.0-862.14.4 (RHEL-7.5.4) as minimum required kernel version (bz#1643185)
- Dump all cli failure msgs to stderr (bz#1632663)
- Avoid large buffer allocation while reading config file (bz#1641575)
- While genconfig consider setting prio-path for old block volumes (bz#1643074)

* Tue Oct 16 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-28
- Run genconfig as part of upgrade activities on first start (bz#1638988)
- At genconfig, convert blocks with default_tg_pt_gp alua group to glfs_tg_pt_gp (bz#1638002)
- Run target config clear only when tcmu-runner is running (bz#1638352)

* Wed Sep 26 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-27
- Add CLI Audit Log support (bz#1575908)
- Add dynamic config reload support (bz#1589666)
- Enforce minimum kernel version recommendation (bz#1594331)
- Update man page (bz#1595624)

* Fri Aug 31 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-26
- Reserve 10M space for meta-data store (bz#1622681)

* Tue Aug 21 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-25
- Adjust spec file to pick the latest tcmu-runner version fixing (bz#1617436) and (bz#1619532)

* Thu Aug 09 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-24
- Fix wait for bricks script to run in absence of pidof command (bz#1598322)

* Tue Jul 24 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-23
- Adjust spec file to pick the latest tcmu-runner version (bz#1597472)

* Wed Jul 18 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-22
- Fix occasional 'Version check failed' errors (bz#1598300)
- Add script to wait for bricks to come online (bz#1598322)

* Thu Jul 12 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-21
- Round down block-volume requested size to block-size (sector) (bz#1595176)
- Fix RESULT string at delete operation failure (bz#1598748)
- Fix exit code at create cli operation (bz#1598310)

* Tue Jun 12 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-20
- Fix daemon crash seen when backend file create fail (bz#1585985)

* Tue Jun 05 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-19
- Add load-balance support (bz#1575529)
- Add genconfig support (bz#1555191)
- Fix saveconfig with delete command (bz#1585204)

* Tue May 08 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-18
- Add resize block support (bz#1507764)
- Add option to tune ring buffer size during creation of block (bz#1535780)
- Introduce versioning support (bz#1542336)
- Add replace-node support (bz#1507767)
- Fix bad API usage (bz#1471078)
- Allow import of existing file while block create and no unlink while delete (bz#1514344)
- Show failed node in info output (bz#1490818)
- Fix command args parsing issue with modify command (bz#1564736)
- Update Man with resize, replace, unlink-storage and storage options (bz#1559959)
- Fix block config loss issue (bz#1537170)
- Update the dependent package versions (bz#1544435)

* Tue Feb 20 2018 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-14.1
- Consider gbid in delete operations in addition to block name (bz#1545104)
- Delete storage if entry creation fails (bz#1545099)
- Show prealloc option in the hint msg (bz#1545101)
- Defend on minimum block size (bz#1545102)
- Be more strict about size units (bz#1544743)

* Tue Sep 19 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-14
- Fix configshell file loglevel (bz#1493113)

* Tue Sep 19 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-13
- Fix block RPC routines in a way that they behave MT-safe (bz#1492556)

* Fri Sep 15 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-12
- Fix the precedence of systemd units (bz#1491758)

* Fri Sep 08 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-11
- Fix targetcli version check (bz#1489744)

* Fri Sep 01 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-10
- Fix create failure due to missing global attributes (bz#1487527)

* Wed Aug 30 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-9
- Change gluster-block management connection port to 24010 (bz#1483827)
- Improve overall block create/delete/modify response time (bz#1482057)

* Mon Aug 21 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-8
- fix build by adding downstream only configure and makefile changes (bz#1479355)

* Mon Aug 21 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-8
- add gluster-block-target.service to files section of spec file (bz#1479355)

* Mon Aug 21 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-7
- fix build fail, introduced in previous patch attempting to make changes in gitignore (bz#1479355)

* Mon Aug 21 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-7
- Fix partial deletion of block config when few nodes are unavailable (bz#1474256)
- Support configure of logdir via Env variable (bz#1477547)
- Make sure if glusterd is running before bringing the dependent services up (bz#1479355)

* Thu Jul 13 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-6
- Fix, for create request with HA >1, target portals doesn't get created as expected (bz#1470349)

* Mon Jul 10 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-5
- Set backstore attribute cmd time out to zero (bz#1468506)

* Fri Jun 30 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-4
- Fix create block printing (null) when tcmu-runner is not running (bz#1464641)

* Tue Jun 27 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-3
- Remove iscsid from systemd unit and add rpcbind as dependency in spec (bz#1464493)

* Fri Jun 23 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-2
- Gluster-blockd getting started, when rpcbind is not running (bz#1461118)
- Support option to choose between prealloc = full | no (bz#1459839)
- Check for WIFEXITED before WEXITSTATUS (bz#1464402)
- Fix logger (null) prints in place of volumename (bz#1464404)
- Fix cli segfault if log dir doesn't exist (bz#1464405)
- Fix newline char in the cli hint messages (bz#1464408)

* Wed Jun 07 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2.1-1
- Fix server nodes not logging (bz#1458656)
- Fix daemon OOM kill (bz#1456231)
- Better error message when dependent services not running (bz#1454672)
- Info doesn't show status of configured nodes, if any node is down while delete (bz#1454335)
- Fix return value when daemon not responding (bz#1452036)
- Fix daemon exit on receiving SIGPIPE (bz#1453179)
- Fix deletion of blocks that are partially created due to invalid hostname (bz#1456122)
- Fix daemon crash when one of the node is unreachable (bz#1454687)
- Fix heap-buffer-overflow in gluster-blockd (bz#1452919)

* Thu May 25 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2-3
- Fix spec file in 0.2-2, i.e. fix patch application with 'autosetup -p1'

* Mon May 22 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2-2
- Add iscsid service (bz#1449234)
- Fix crash while list action (bz#1450983)
- Create block fails after setting the block profile (bz#1452194)

* Fri May 5 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.2-1
- Initiator cannot discover the targets due to blocking firewalld ports (bz#1444762)
- Daemon crashes when an invalid hostname is given (bz#1446584)
- Gluster-block try to create block device even with invalid host IP (bz#1447360)
- Fix authentication failure while discovering targets from initiator (bz#1444770)
- Cli print msg when daemon is not running (bz#1445364)
- Cli doesn't support json responses (bz#1446572)
- One command for logging-in to all gateways of a target (bz#1446581)

* Sun Mar 26 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com> - 0.1.1-1
- Initial import from upstream gluster-block master, package gluster-block (bz#1425465)
